Skip to main content
GET
/
v2
/
session
/
apps
/
{appID}
/
config
/
stepup
Get step-up config
curl --request GET \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/stepup \
  --header 'Authorization: Bearer <token>'
{
  "config": {
    "jwks_url": "<string>",
    "step_keys": [
      {
        "key": "<string>",
        "description": "<string>"
      }
    ],
    "allowed_scopes": [
      {
        "scope": "<string>",
        "delegated": {
          "delegation_hook": "<string>"
        },
        "direct": {
          "identifier_types": [],
          "granted_for": 43200,
          "steps": [
            {
              "order": 2,
              "key": "<string>",
              "expiration_duration": 43200
            }
          ]
        }
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.prelude.so/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Response

OK

config
object
required